Subject: Re: bug#44329: 28.0.50; Crash in bidi_mirror_char on view-hello-file when no bidi-display-reordering (harfbuzz)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Oct 2020 17:42:24 +0200

tags 44329 wontfix
thanks

> From: Kevin Brubeck Unhammer <[email-masked]>
> Date: Fri, 30 Oct 2020 15:56:43 +0100
> 
> I'm seeing a crash in displaying hebrew characters when I have
> bidi-display-reordering set to nil. I had to set it to t to be able to
> write this email :)
> 
> Possibly related to these two:
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=44113
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=41627
> though I'm running with their patches
> (0f1f795fc8b72bfa0381089d1ff60f8801e394b0 built today).
> 
> $ cat  ~/.emacs.d/chartab-bug-init.el
> (setq-default bidi-display-reordering nil)

This isn't supported: that variable is not supposed to be set nil,
except for debugging display problems.

> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> 0x000055555568bc54 in char_table_ref (table=XIL(0), c=1513) at chartab.c:237
> 237           val = tbl->contents[CHARTAB_IDX (c, 0, 0)];
> (gdb) bt
> #0  0x000055555568bc54 in char_table_ref (table=XIL(0), c=1513) at chartab.c:237

I cannot reproduce this, but the problem is obviously caused by not
having the uni-mirrored.el data loaded into Emacs.

Like I said: this mode of using Emacs is not supported.  Please don't
do that.